{
    "descriptions": [
        {
            "configId": "0x2100",
            "defaultValue": "0",
            "description": "Does the Sink support Fast Vactive (FVA), also known as Quick Frame Transport (QFT)?",
            "flag": 3,
            "id": "TSI_HDMI_GAMING_FVA",
            "maxValue": 1,
            "minValue": 0,
            "name": "Sink_Supports_FVA",
            "type": 3,
            "enumerationVariants": "0 # NO\n1 # YES"
        },
        {
            "configId": "0x2101",
            "defaultValue": "1",
            "description": "Does the Sink support Variable Refresh Rate (VRR)",
            "flag": 3,
            "id": "TSI_HDMI_GAMING_VRR",
            "maxValue": 1,
            "minValue": 0,
            "name": "Sink_Supports_VRR",
            "type": 3,
            "enumerationVariants": "0 # NO\n1 # YES"
        },
        {
            "configId": "0x2102",
            "defaultValue": "0",
            "description": "Does the Sink support Negative Mvrr values?",
            "flag": 3,
            "id": "TSI_HDMI_GAMING_NMVRR",
            "maxValue": 1,
            "minValue": 0,
            "name": "Sink_Supports_Negative_MVRR",
            "type": 3,
            "enumerationVariants": "0 # NO\n1 # YES"
        },
        {
            "configId": "0x2103",
            "defaultValue": "40",
            "description": "What is the Sink’s supported VRR Range? Minimum value.\n",
            "flag": 3,
            "id": "TSI_HDMI_GAMING_RANGE_MIN",
            "maxValue": 480,
            "minValue": 20,
            "name": "Sink_Supported_VRR_Range VRRMIN",
            "type": 4
        },
        {
            "configId": "0x2104",
            "defaultValue": "0",
            "description": "What is the Sink’s supported VRR Range? Maximum value or BRR\n",
            "flag": 3,
            "id": "TSI_HDMI_GAMING_RANGE_MAX",
            "maxValue": 480,
            "minValue": 20,
            "name": "Sink_Supported_VRR_Range VRRMAX or 0 for BRR",
            "type": 4
        },
        {
            "configId": "0x2105",
            "defaultValue": "0",
            "description": "Does the Sink implement Auto Low-Latency Mode (ALLM)?",
            "flag": 3,
            "id": "TSI_HDMI_GAMING_ALLM",
            "maxValue": 1,
            "minValue": 0,
            "name": "Sink_Supports_ALLM",
            "type": 3,
            "enumerationVariants": "0 # NO\n1 # YES"
        },
        {
            "configId": "0x2106",
            "defaultValue": "0",
            "description": "Which display processing mode is the preferred mode with normal latency?",
            "flag": 3,
            "id": "TSI_HDMI_GAMING_NLM",
            "maxValue": 2,
            "minValue": 0,
            "name": "Sink_Preferred_NLM",
            "type": 4,
            "enumerationVariants": "0 # Cinema\n1 # Vivid\n2 # Normal"
        },
        {
            "configId": "0x2107",
            "defaultValue": "0",
            "description": "Which display processing mode is the preferred mode to minimize latency?",
            "flag": 3,
            "id": "TSI_HDMI_GAMING_LLM",
            "maxValue": 1,
            "minValue": 0,
            "name": "Sink_Preferred_LLM",
            "type": 4,
            "enumerationVariants": "0 # Game\n1 # PC"
        },
        {
            "configId": "0x2108",
            "defaultValue": "1",
            "description": "Does the Sink DUT support QMS-VRR?",
            "flag": 3,
            "id": "TSI_HDMI_GAMING_QMS",
            "maxValue": 1,
            "minValue": 0,
            "name": "Sink_QMS_VRR_Supported",
            "type": 3,
            "enumerationVariants": "0 # NO\n1 # YES"
        },
        {
            "configId": "0x2109",
            "defaultValue": "97",
            "description": "What is the highest resolution (i.e., width x height) and base refresh rate (BRR) for which all TFRs up to Sink_QMS_Max_TFR_TMDS are supported by the Sink using TMDS?",
            "flag": 3,
            "id": "TSI_HDMI_GAMING_VIDEO_TMDS",
            "maxValue": 255,
            "minValue": 16,
            "name": "Sink_QMS_Video_Format_TMDS",
            "type": 4,
            "enumerationVariants": "78 # VIC=78; 1920x1080@120\n97 # VIC=97; 3840x2160@60"
        },
        {
            "configId": "0x210A",
            "defaultValue": "118",
            "description": "What is the highest resolution (i.e., width x height) and base refresh rate (BRR) for which all TFRs up to Sink_QMS_Max_TFR_FRL are supported by the Sink using FRL?",
            "flag": 3,
            "id": "TSI_HDMI_GAMING_VIDEO_FRL",
            "maxValue": 255,
            "minValue": 16,
            "name": "Sink_QMS_Video_Format_FRL",
            "type": 4,
            "enumerationVariants": "0 # N/A\n78 # VIC=78; 1920x1080@120\n97 # VIC=97; 3840x2160@60\n118 # VIC=118; 3840x2160@120"
        },
        {
            "configId": "0x210B",
            "defaultValue": "1",
            "description": "If the Sink DUT supports QMS-VRR, what is the minimum Next_TFR value supported? (Refer to the Next_TFR field definition in HDMI 2.1a Table 10-37.)",
            "flag": 3,
            "id": "TSI_HDMI_GAMING_MIN_TFR",
            "maxValue": 13,
            "minValue": 0,
            "name": "Sink_QMS_Min_TFR",
            "type": 4,
            "enumerationVariants": "0 # N/A\n1 # TFR=1; 24/1.001\n2 # TFR=2; 24\n3 # TFR=3; 25\n4 # TFR=4; 30/1.001\n5 # TFR=5; 30\n6 # TFR=6; 48/1.001\n7 # TFR=7; 48\n8 # TFR=8; 50\n9 # TFR=9; 60/1.001\n10 # TFR=10; 60\n11 # TFR=11; 100\n12 # TFR=12; 120/1.001\n13 # TFR=13; 120"
        },
        {
            "configId": "0x210C",
            "defaultValue": "10",
            "description": "If the Sink DUT supports QMS-VRR, what is the maximum Next_TFR value supported using TMDS? (Refer to the Next_TFR field definition in HDMI 2.1a Table 10-37.)",
            "flag": 3,
            "id": "TSI_HDMI_GAMING_MAX_TFR_TMDS",
            "maxValue": 13,
            "minValue": 0,
            "name": "Sink_QMS_Max_TFR_TMDS",
            "type": 4,
            "enumerationVariants": "0 # N/A\n1 # TFR=1; 24/1.001\n2 # TFR=2; 24\n3 # TFR=3; 25\n4 # TFR=4; 30/1.001\n5 # TFR=5; 30\n6 # TFR=6; 48/1.001\n7 # TFR=7; 48\n8 # TFR=8; 50\n9 # TFR=9; 60/1.001\n10 # TFR=10; 60\n11 # TFR=11; 100\n12 # TFR=12; 120/1.001\n13 # TFR=13; 120"
        },
        {
            "configId": "0x210D",
            "defaultValue": "13",
            "description": "If the Sink DUT supports QMS-VRR, what is the maximum Next_TFR value supported using FRL? (Refer to the Next_TFR field definition in HDMI 2.1a Table 10-37.)",
            "flag": 3,
            "id": "TSI_HDMI_GAMING_MAX_TFR_FRL",
            "maxValue": 13,
            "minValue": 0,
            "name": "Sink_QMS_Max_TFR_FRL",
            "type": 4,
            "enumerationVariants": "0 # N/A\n1 # TFR=1; 24/1.001\n2 # TFR=2; 24\n3 # TFR=3; 25\n4 # TFR=4; 30/1.001\n5 # TFR=5; 30\n6 # TFR=6; 48/1.001\n7 # TFR=7; 48\n8 # TFR=8; 50\n9 # TFR=9; 60/1.001\n10 # TFR=10; 60\n11 # TFR=11; 100\n12 # TFR=12; 120/1.001\n13 # TFR=13; 120"
        }
    ],
    "id": "0x23",
    "name": "HDMI CTS MOI (VRR-QMS)"
}
